CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Events
CommandMessenger.TransportLayer.ITransport Interface Reference

Interface for transport layer. More...

Inheritance diagram for CommandMessenger.TransportLayer.ITransport:

List of all members.

## Public Member Functions
int | BytesInBuffer ()
byte[] | Read ()
void | Poll ()
bool | Connect ()
bool | Disconnect ()
bool | IsConnected ()
void | StartPolling ()
void | StopPolling ()
void | Write (byte[] buffer)
## Events
EventHandler | NewDataReceived

## Detailed Description

Interface for transport layer.

The documentation for this interface was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/TransportLayer/ITransport.cs